/*
 *  LocalTrade.js
 *  Package: shhwallet
 *
 *  Description : LocalTrade API for SHH Wallet. Here we hold all the interactions with our own node.
 *
 *  Author: Arun Panneerselvam
 *  email: arun@gsunitedtechnologies.com
 *  website: aeroarunn.com
 */

//
"use strict";

const config    = require( "./config.js"  );
var express     = require('express');
var User        = require('../model/user.js'); // get  user model
var rlog        = require('../model/requests.js'); //get req logger model
var jwt         = require('jsonwebtoken'); // used to create, sign, and verify tokens
var md5         = require('md5')
var http        = require('http');
var request     = require('request');
var fs          = require('fs');
var util        = require('util');
var Promise     = require('promise');


class LocalTrade {
    constructor({
            session_id,
            buyer,
            seller,
            currency,
            margin,
            btc_in_escrow,
            messages,

            commission,
            tx_fees,
            expiry,
            time,

        } = {}) {


        //Set the trade information
        this.initialize();


    }

    initialize() {


    }


}





